Skip to main content
PATCH
/
v2
/
notes
/
{note_id}
/
created-at
cURL
curl "https://api.mem.ai/v2/notes/01961d40-7a67-7049-a8a6-d5638cbaaeb9/created-at" \
     --header "Content-Type: application/json" \
     --header "Authorization: Bearer $MEM_API_KEY" \
     --request PATCH \
     --data '{
         "created_at": "2020-01-07T00:00:00Z"
     }'
{
  "collection_ids": [
    "59508b41-8770-4855-aa37-302b1e09aee7"
  ],
  "content": "# Meeting with Bill\n\nJan 7, 2020",
  "created_at": "2020-01-07T00:00:00.000Z",
  "id": "5e29c8a2-c73b-476b-9311-e2579712d4b1",
  "request_id": "api-request-036ed6c7-de00-459f-a89b-43d26aafe522",
  "title": "Meeting with Bill",
  "trashed_at": null,
  "updated_at": "2026-05-15T10:15:00.000Z",
  "version": 5
}

Documentation Index

Fetch the complete documentation index at: https://docs.mem.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

note_id
string<uuid>
required

UUID of the note whose visible creation timestamp should change. The caller must own this note.

Body

application/json
created_at
string<date-time>
required

New visible creation timestamp for the note (ISO 8601). It must include a timezone offset and cannot be in the future. It can only backdate the note: the timestamp cannot be later than when the note was originally created. This changes note metadata only; it does not update note content.

Examples:

"2020-01-07T00:00:00Z"

"2020-01-07T09:00:00+01:00"

Response

200 - application/json

OK

request_id
string
required

Identifier for this API request. Useful for tracing and support.

id
string<uuid>
required

UUID of the updated note.

title
string
required

Current note title.

content
string
required

Full markdown content stored for the note.

version
integer
required

Current note content document version.

collection_ids
string<uuid>[]
required

Collection UUIDs currently associated with this note.

trashed_at
string<date-time> | null
required

Timestamp for when the note was moved to trash, or null when the note is active.

created_at
string<date-time>
required

Creation timestamp for the note in ISO 8601 format after the metadata update.

updated_at
string<date-time>
required

Last modification timestamp after the metadata update in ISO 8601 format.